summaryrefslogtreecommitdiff
path: root/dev-db/pgxnclient
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-28 12:52:46 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-28 12:52:46 +0200
commit201b7f407a64a15a8477ea3c0f0fcb9fdaf33fe7 (patch)
tree0be73d02b5be9f6baafdc73d27817551c37396a2 /dev-db/pgxnclient
parentecdac123787b96ce6649f0f91da12ea6458cc2b1 (diff)
downloadbaldeagleos-repo-201b7f407a64a15a8477ea3c0f0fcb9fdaf33fe7.tar.gz
baldeagleos-repo-201b7f407a64a15a8477ea3c0f0fcb9fdaf33fe7.tar.xz
baldeagleos-repo-201b7f407a64a15a8477ea3c0f0fcb9fdaf33fe7.zip
Updating liguros repo
Diffstat (limited to 'dev-db/pgxnclient')
-rw-r--r--dev-db/pgxnclient/pgxnclient-1.3-r2.ebuild (renamed from dev-db/pgxnclient/pgxnclient-1.3-r1.ebuild)17
1 files changed, 6 insertions, 11 deletions
diff --git a/dev-db/pgxnclient/pgxnclient-1.3-r1.ebuild b/dev-db/pgxnclient/pgxnclient-1.3-r2.ebuild
index 7b785a380af5..4af1585476da 100644
--- a/dev-db/pgxnclient/pgxnclient-1.3-r1.ebuild
+++ b/dev-db/pgxnclient/pgxnclient-1.3-r2.ebuild
@@ -3,7 +3,8 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6..8} )
+RESTRICT="test"
+PYTHON_COMPAT=( python3_{6..9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
@@ -16,25 +17,19 @@ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
LICENSE="BSD"
SLOT="0"
-IUSE="test"
-
-# Test data isn't included in releases. So, the tests fail.
-# https://github.com/pgxn/pgxnclient/issues/36
-RESTRICT="test
- !test? ( test )"
+IUSE=""
distutils_enable_tests pytest
RDEPEND="dev-db/postgresql:*[server]
dev-python/six[${PYTHON_USEDEP}]
"
-DEPEND="${RDEPEND}
- test? (
- dev-python/pytest-runner[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}] )
+DEPEND+="${RDEPEND}
"
src_prepare() {
+ sed "s/setup_requires/#/" -i setup.py || die
+
sed "s/find_packages()/find_packages(exclude=['tests'])/" -i setup.py || die
default